//$Log: capiinfo.h,v $
//Revision 1.2  2005/01/30 16:59:59  tubsmaster
//now we have ldap support for addressresolution
//

#ifndef CAPIINFO_H
#define CAPIINFO_H

#include <string>
#include <capi20.h>
/**
* This class handels the capi/isdn communication.
* It took a while till this class works...
* @author T. Gebhard
*/
class capiInfo{
public:

    capiInfo();
    capiInfo(int debug);
    ~capiInfo();
    std::string waitForCall(int sec);

private:
    _cword m_wApplId;
    _cword m_wIntNr;
    int _debug;
    _cmsg cmsg;

};

/**
* This is only a small Exception Class.
* It only holds a std::string. (java influences me)
*/
class capiError{
public:
 capiError(const char * _errorMessage) {errorString = _errorMessage;}
 capiError();
 std::string getErrorText() {return errorString;}
private:
 std::string errorString;
};

#endif
