//$Log: ldapaddressbook.h,v $
//Revision 1.1  2005/01/30 16:59:59  tubsmaster
//now we have ldap support for addressresolution
//

#ifndef LDAPADDRESSBOOK_H
#define LDAPADDRESSBOOK_H


#include <string>
#include <ldap.h>


/**
 * * ldap client wrapper
 * * @author T. Gebhard
 * */
class ldapAddressServer
{
  public:
    ldapAddressServer(std::string ldapHost, int ldapPort, std::string searchBase);
    ~ldapAddressServer();
    std::string resolveNameForNumber(std::string NrWithoutLeadingZero);

  private:
    LDAP *ld;
    std::string _ldapHost;
    int _ldapPort;
    std::string _searchBase;
};

#endif

