//$Log: logger.h,v $
//Revision 1.1.1.1  2004/06/17 07:17:43  tubsmaster
//initial gtk version
//
//Revision 1.1.1.1  2004/06/05 12:43:28  tubsmaster
//First gtk release
//
//Revision 1.1.1.1  2004/05/21 13:10:42  tubsmaster
//Initial import.
//
//Revision 1.2  2004/05/20 09:15:38  tubsmaster
//add doxygen doc
//

#ifndef LOGGER_H
#define LOGGER_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string>

/**
* A simple Logger class.
* Does logging in a threadsafe way, i hope...
*/
class Logger 
{
public:
	Logger(std::string LogFile);
	~Logger();
	bool addToLog(std::string stringToLog);

private:
        std::string LogFile;
	pthread_mutex_t mutexLog;
};

#endif
